The unified diff between revisions [833d0ade..] and [6bbab836..] is displayed below. It can also be downloaded as a raw diff.
This diff has been restricted to the following files: 'debian/dropbear.postinst'
#
#
# patch "debian/dropbear.postinst"
# from [5665ae46016d735143457d5bf069a1eaee0f21d0]
# to [3315185791bfd9c2080bb82ddcfb52de4910993d]
#
============================================================
--- debian/dropbear.postinst 5665ae46016d735143457d5bf069a1eaee0f21d0
+++ debian/dropbear.postinst 3315185791bfd9c2080bb82ddcfb52de4910993d
@@ -69,3 +69,11 @@ fi
/etc/init.d/dropbear restart
fi
fi
+
+if test -n "$2" && dpkg --compare-versions "$2" lt '0.50-4' &&
+update-service --check dropbear; then
+ update-service --remove /etc/dropbear 2>/dev/null || :
+ sleep 6
+ rm -rf /var/run/dropbear /var/run/dropbear.log
+ update-service --add /etc/dropbear || :
+fi